package db;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;

public class TestDB {
	
	private Connection connection = null;
	
	public void connect() {
		
	    try {
	        // Load the JDBC driver
	        String driverName = "oracle.jdbc.driver.OracleDriver";
	        Class.forName(driverName);
	    
	        // Create a connection to the database
	        String serverName = "localhost";
	        String portNumber = "1521";
	        String sid = "xe";
	        String url = "jdbc:oracle:thin:@" + serverName + ":" + portNumber + ":" + sid;
	        String username = "system";
	        String password = "admin";
	        connection = DriverManager.getConnection(url, username, password);
	    } catch (ClassNotFoundException e) {
	        // Could not find the database driver
	    	System.out.println("Could not find the database driver");
	    	e.printStackTrace();
	    } catch (SQLException e) {
	        // Could not connect to the database
	    	System.out.println("Could not connect to the database");
	    	e.printStackTrace();
	    }
	}
	
	public void executeQuery(String query) {

		ResultSet results;

		try {
			Statement stmt = connection.createStatement();
			results = stmt.executeQuery(query);
			//on rcupre les metadata
			ResultSetMetaData md =  results.getMetaData();
			int nbCol = md.getColumnCount();
			//affiche le nom des colonnes
			for (int pos=1;pos <= nbCol;pos++) {
				String colName = md.getColumnName(pos);
				System.out.print(colName + " | ");
			}
			System.out.println();
			
			//affiche le rsultat : on suppose qu'on a que des strings
			while (results.next()) {
				for (int pos=1;pos <= nbCol;pos++) {
					//regarder le type pour faire le get corresondant
					System.out.print(results.getObject(pos)+ " | ");				
					//System.out.println("line");
				}
				System.out.println();
			}
		}
		catch(Exception e){
			System.out.println("Mauvaise requte !");
		}
	}
	
	
	public static void main(String args[]) {
		//le main comme en c
		//point de dpart du programme
		TestDB db = new TestDB();
		db.connect();
		db.executeQuery("select * from ven");
	}
}
